weixin_52263599
鴆川傲
采纳率100%
2021-02-13 02:44

调用selenium打开chrome浏览器失败

已采纳

python调用不起来chrome

  1. 调用selenium打开chrome浏览器失败

报错如下

Traceback (most recent call last):
  File "C:\Users\Z\AppData\Roaming\Python\Python37\site-packages\selenium\webdriver\common\service.py", line 76, in start
    stdin=PIPE)
  File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_86\lib\subprocess.py", line 800, in __init__
    restore_signals, start_new_session)
  File "C:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_86\lib\subprocess.py", line 1207, in _execute_child
    startupinfo)
PermissionError: [WinError 5] 拒绝访问。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<pyshell#14>", line 1, in <module>
    driver = webdriver.Chrome(chrome_driver_binary,chrome_options = options)
  File "C:\Users\Z\AppData\Roaming\Python\Python37\site-packages\selenium\webdriver\chrome\webdriver.py", line 73, in __init__
    self.service.start()
  File "C:\Users\Z\AppData\Roaming\Python\Python37\site-packages\selenium\webdriver\common\service.py", line 88, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'Python37_86' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答

  • zerobyte_ zerobyte_ 2月前

    第一可能是webdriver的版本和浏览器版本不匹配,其他的可能代码问题,把webdriver配置到path里试试

     

    点赞 评论 复制链接分享